import { ValueField } from "../value-field";
import { IForm } from "../../../pathinterface";
import { TranslationService } from "../../../service/translation.service";
import * as i0 from "@angular/core";
export declare class DateFieldComponent {
    field: DateField;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateFieldComponent, "path-datefield", never, { "field": "field"; }, { "field": "field"; }, never, never>;
}
export declare class DateField extends ValueField<Date> {
    protected form: IForm;
    protected translationService: TranslationService;
    private _datePickerValue;
    private _initialValueSet;
    private _datePickerInitialValue;
    private _dateInputFormat;
    constructor(form: IForm, translationService: TranslationService);
    get datePickerValue(): Date;
    set datePickerValue(value: Date);
    get initialValueSet(): boolean;
    get datePickerInitialValue(): Date;
    get dateInputFormat(): string;
    setValue(value: Date): void;
    updateValueFromGui(value: Date): void;
}
